{
  config,
  pkgs,
  ...
}: {
  home = {
    stateVersion = "23.11";
    username = "patrick";
    homeDirectory = "/home/${config.home.username}";
    packages = with pkgs; [
      git # TODO: use programs.git
      pinentry
      acpi
      moonlight-qt
      vesktop
      telegram-desktop
    ];
    sessionPath = ["~/.local/bin"];
    sessionVariables = {
      SSH_AUTH_SOCK = "/run/user/1000/ssh-agent";
    };
  };

  xdg.enable = true;

  imports = builtins.concatMap import [
    ./programs
  ];

  accounts.email.accounts = {
    patrick = {
      primary = true;
      realName = "Patrick Michl";
      address = "me@fuckwit.dev";
      userName = "me@fuckwit.dev";

      gpg = {
        key = "5FA64909521A5C85992F26E0F819AEFF941BB849";
        signByDefault = true;
      };

      imap = {
        host = "mail.fuckwit.dev";
        port = 143;
        tls = {
          useStartTls = true;
        };
      };

      smtp = {
        host = "mail.fuckwit.dev";
        port = 587;
        tls = {
          useStartTls = true;
        };
      };

      thunderbird = {
        enable = true;
        profiles = ["main"];
      };
    };
  };
}
